Index: /tags/ipp-20110622/Nebulous-Server/bin/neb-insedit
===================================================================
--- /tags/ipp-20110622/Nebulous-Server/bin/neb-insedit	(revision 32530)
+++ /tags/ipp-20110622/Nebulous-Server/bin/neb-insedit	(revision 32531)
@@ -68,4 +68,7 @@
 # Pre-emptively attempt repair of file.  This will ~double our execution time, but should help the efficiency.
 system("neb-repair $key");
+if ($? >> 8 != 0) {
+    die "Failure to repair $key.\n";
+}
 
 # Do checks now.
